<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<ng-container [formGroup]="appFormGroup">

  <label>
    {{appTitle}}
  </label>

  <div [formArrayName]="appFormArrayName" class="attachment-list">
    <app-attachment-control
      (appDownloadAttachment)="appDownloadAttachment.emit($event)"
      *ngFor="let control of (appFormGroup | getFormArray : appFormArrayName)?.controls; let i = index;"
      [appHideNotUsedTags]="appHideNotUsedTags"
      [appIsDownloadable]="true"
      [appIsSelectable]="true"
      [appTagList]="appTagList"
      [formControlName]="i"
      class="attachment-list--control">
    </app-attachment-control>
  </div>

</ng-container>
